#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n];
    double p[n],zar = 0.0,por,mzar;
    for(int i = 0; i<n; i++)
    {
        cin>>a[i];
        cin>>p[i];
    }
    for(int i = 0; i<n; i++)
    {
        por = p[i];
        for(int i = 0; i<n; i++)
        {
             if(por<=p[i])
             {
                 zar = zar + (por/100.0)*a[i];
             }
        }
        if(zar>mzar)
        {
            mzar = zar;
        }
        zar = 0.0;
    }
    cout<<fixed<<showpoint<< setprecision(4)<<mzar;
    return 0;
}